com.io7m.jtensors

## Interface VectorWritable2DType

- All Known Subinterfaces:
    PVector2DType<T>, PVector3DType<T>, PVector4DType<T>, PVectorByteBuffered2DType<T>, PVectorByteBuffered3DType<T>, PVectorByteBuffered4DType<T>, PVectorWritable2DType<T>, PVectorWritable3DType<T>, PVectorWritable4DType<T>, Quaternion4DType, QuaternionByteBuffered4DType, QuaternionWritable4DType, Vector2DType, Vector3DType, Vector4DType, VectorByteBuffered2DType, VectorByteBuffered3DType, VectorByteBuffered4DType, VectorWritable3DType, VectorWritable4DType
  All Known Implementing Classes:
    PVectorByteBufferedM2D, PVectorByteBufferedM3D, PVectorByteBufferedM4D, PVectorM2D, PVectorM3D, PVectorM4D, QuaternionByteBufferedM4D, QuaternionM4D, VectorByteBufferedM2D, VectorByteBufferedM3D, VectorByteBufferedM4D, VectorM2D, VectorM3D, VectorM4D

      public interface VectorWritable2DType

  'Write' interface to two-dimensional vectors with `double` elements.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copyFrom2D(VectorReadable2DType in_v)` Set the current vector to the contents of the input vector.
    `void` | `set2D(double x, double y)` Set the current `x` and `y` values of the current vector.
    `void` | `setXD(double x)` Set the current `x` value of the current vector.
    `void` | `setYD(double y)` Set the current `y` value of the current vector.

- - ### Method Detail

    - #### copyFrom2D

          void copyFrom2D(VectorReadable2DType in_v)

      Set the current vector to the contents of the input vector.
      Parameters:
        `in_v` - The input vector

    - #### set2D

          void set2D(double x,
                     double y)

      Set the current `x` and `y` values of the current vector.
      Parameters:
        `x` - The new `x` value.
        `y` - The new `y` value.

    - #### setXD

          void setXD(double x)

      Set the current `x` value of the current vector.
      Parameters:
        `x` - The new `x` value.

    - #### setYD

          void setYD(double y)

      Set the current `y` value of the current vector.
      Parameters:
        `y` - The new `y` value.

Copyright © 2017 <code@io7m.com> http://io7m.com